unit Unit1;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.StdCtrls, Vcl.ExtCtrls,
  VCLTee.TeEngine, VCLTee.Series, VCLTee.ArrowCha, VCLTee.TeeProcs, VCLTee.Chart,
  VCLTee.TeeShape;

type
  TForm1 = class(TForm)
    Chart1: TChart;
    Series1: TArrowSeries;
    Panel1: TPanel;
    Button1: TButton;
    Series2: TChartShape;
    procedure Button1Click(Sender: TObject);
    procedure Series1GetMarkText(Sender: TChartSeries; ValueIndex: Integer;
      var MarkText: string);
    procedure Series1AfterDrawValues(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses
  VCLTee.TeCanvas;


{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
var
  i : integer;
begin
  Series1.Clear;
  for i := 0 to 9 do begin
    Series1.AddArrow(10, (i*10)+5, 200, (i*10)+5, Format('IDX %d', [i]));
  end;
end;


procedure TForm1.Series1AfterDrawValues(Sender: TObject);
begin
  //
  Chart1.Canvas.BackMode := cbmTransparent;

  Chart1.Canvas.TextOut(150,150,'Hello');
end;


procedure TForm1.Series1GetMarkText(Sender: TChartSeries; ValueIndex: Integer;
  var MarkText: string);
begin
  MarkText := Format('MT = %d', [ValueIndex]);
end;

end.
